IF OBJECT_ID('[RaftItems_Extended]') IS NOT NULL DROP VIEW [RaftItems_Extended]
GO

CREATE VIEW [RaftItems_Extended]
AS

	SELECT RI.[RaftItem_Id],
	       RI.[Raft_Id],
	       RI.[RaftItemType_Code],
	       RI.[RaftItem_Name],
	       RI.[Active_Indicator],
	       RIVL.[RaftItemVersion_Number],
	       RIVL.[ModifiedOn_Date],
	       RIVL.[ModifiedBy_User_Name],
	       RIVL.[Content_Bytes],
	       [RaftItem_Size] = DATALENGTH(RIVL.[Content_Bytes])
	  FROM [RaftItems] RI
	       INNER JOIN (SELECT [RaftItem_Id],
	                          [RaftItemVersion_Number] = MAX([RaftItemVersion_Number])
	                     FROM [RaftItemVersions]
	                 GROUP BY [RaftItem_Id]) RIV
	               ON RIV.[RaftItem_Id] = RI.[RaftItem_Id]
	       INNER JOIN [RaftItemVersions] RIVL
	               ON RIVL.[RaftItem_Id] = RIV.[RaftItem_Id]
	              AND RIVL.[RaftItemVersion_Number] = RIV.[RaftItemVersion_Number]

GO
