EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Executions_CancelRunningJobs',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Set all currently running configuration or orchestration executions to cancelled.'
GO

IF OBJECT_ID('[Executions_CancelRunningJobs]') IS NOT NULL DROP PROCEDURE [Executions_CancelRunningJobs]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Executions_CancelRunningJobs]
(
	@CanceledBy_User_Name USERNAME
)
AS
BEGIN

SET NOCOUNT ON

	UPDATE [Executions]
	   SET [CanceledOn_Date] = GETUTCDATE(),
	       [CanceledBy_User_Name] = @CanceledBy_User_Name
	 WHERE [ExecutionRunState_Code] IN ('P', 'X')
	   AND [ExecutionMode_Code] IN ('C', 'E', 'X')

END
GO

GRANT EXECUTE ON [Executions_CancelRunningJobs] TO [OtterUser_Role]
