EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Jobs_GetJob',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataSet',
    /* DataTableNames_Csv      */ 'Jobs_Extended,Servers_Extended,ServerRoles_Extended,Environments_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the specified job.',
    /* Remarks_Text            */ 
    'Any junction tables that return 0 rows should be treated as "all" of the junction table items.'
GO


IF OBJECT_ID('[Jobs_GetJob]') IS NOT NULL DROP PROCEDURE [Jobs_GetJob]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Jobs_GetJob]
(
    @Job_Id INT
)   
AS
BEGIN

	SET NOCOUNT ON

	SELECT * 
	  FROM [Jobs_Extended]
     WHERE [Job_Id] = @Job_Id

    SELECT S.* 
	  FROM [JobServers] JS
     INNER JOIN [Servers_Extended] S 
             ON S.[Server_Id] = JS.[Server_Id]
     WHERE [Job_Id] = @Job_Id

    SELECT SR.* 
	  FROM [JobServerRoles] JSR
     INNER JOIN [ServerRoles_Extended] SR 
             ON SR.[ServerRole_Id] = JSR.[ServerRole_Id]
     WHERE [Job_Id] = @Job_Id

    SELECT E.* 
	  FROM [JobEnvironments] JE
     INNER JOIN [Environments_Extended] E
             ON E.[Environment_Id] = JE.[Environment_Id]
     WHERE [Job_Id] = @Job_Id

END
GO

GRANT EXECUTE ON [Jobs_GetJob] TO [OtterUser_Role]